Bug 496631 - enter ignores selection, always do default action
enter ignores selection, always do default action
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-20 09:06 EDT by Michal Hlavinka
Modified: 2009-05-19 20:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: 4.2.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-18 05:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2009-04-20 09:06:44 EDT
Description of problem:
When I select some button using arrows and press enter it acts as I've chose button selected as default.

Version-Release number of selected component (if applicable):
kde-4.2.2 from updates-testing

How reproducible:

Steps to Reproduce:
1.open dolphin
2.select some file
3.press delete key
4.select Cancel button using arrows
5.press enter
Actual results:
file is deleted

Expected results:
deletion is canceled

Additional info:
Comment 1 Kevin Kofler 2009-04-21 00:00:04 EDT
This sounds like a Qt or kdelibs bug.
Comment 2 Michal Hlavinka 2009-05-18 02:38:10 EDT
FYI: After update to kde 4.2.3 it works (I've been using also qt-4.5.1-3 for some time).

I don't know if kde 4.2.3 uses some workaround or this bug was not in qt but kde.
Comment 3 Lukáš Tinkl 2009-05-18 05:41:46 EDT
Dolphin has had this bug fixed AFAIK
Comment 4 Michal Hlavinka 2009-05-18 05:58:13 EDT
(In reply to comment #3)
> Dolphin has had this bug fixed AFAIK  

you mean fix directly/only in dolphin?

I've added doplhin to the reproducer because it's more general app, but I've hit this bug in krusader first (and it's fixed there also)
Comment 5 Fedora Update System 2009-05-19 20:56:06 EDT
kdeaccessibility-4.2.3-1.fc11, kdeadmin-4.2.3-1.fc11, kdeartwork-4.2.3-1.fc11, kdebase-4.2.3-1.fc11, kdebindings-4.2.3-2.fc11, kdeedu-4.2.3-1.fc11, kdegames-4.2.3-1.fc11, kdegraphics-4.2.3-1.fc11, kdemultimedia-4.2.3-1.fc11, kdenetwork-4.2.3-1.fc11, kdepim-4.2.3-1.fc11, kdepimlibs-4.2.3-1.fc11, kdeplasma-addons-4.2.3-1.fc11, kdesdk-4.2.3-1.fc11, kdetoys-4.2.3-1.fc11, kdeutils-4.2.3-1.fc11, kde-l10n-4.2.3-1.fc11, kdebase-runtime-4.2.3-2.fc11, kdebase-workspace-4.2.3-4.fc11, kdelibs-4.2.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-05-19 20:56:46 EDT
kdeaccessibility-4.2.3-1.fc10, kdeadmin-4.2.3-1.fc10, kdeartwork-4.2.3-1.fc10, kdebase-4.2.3-1.fc10, kdebindings-4.2.3-2.fc10, kdeedu-4.2.3-1.fc10, kdegames-4.2.3-1.fc10, kdegraphics-4.2.3-1.fc10, kdemultimedia-4.2.3-1.fc10, kdenetwork-4.2.3-1.fc10, kdepim-4.2.3-1.fc10, kdepimlibs-4.2.3-1.fc10, kdeplasma-addons-4.2.3-1.fc10, kdesdk-4.2.3-1.fc10, kdetoys-4.2.3-1.fc10, kdeutils-4.2.3-1.fc10, kde-l10n-4.2.3-1.fc10, kdebase-runtime-4.2.3-2.fc10, kdebase-workspace-4.2.3-4.fc10, kdelibs-4.2.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-05-19 20:57:23 EDT
kdeaccessibility-4.2.3-1.fc9, kdeadmin-4.2.3-1.fc9, kdeartwork-4.2.3-1.fc9, kdebase-4.2.3-1.fc9, kdebindings-4.2.3-2.fc9, kdeedu-4.2.3-1.fc9, kdegames-4.2.3-1.fc9, kdegraphics-4.2.3-1.fc9, kdemultimedia-4.2.3-1.fc9, kdenetwork-4.2.3-1.fc9, kdepimlibs-4.2.3-1.fc9, kdeplasma-addons-4.2.3-1.fc9, kdesdk-4.2.3-1.fc9, kdetoys-4.2.3-1.fc9, kdeutils-4.2.3-1.fc9, kde-l10n-4.2.3-1.fc9, kdebase-runtime-4.2.3-2.fc9, kdebase-workspace-4.2.3-4.fc9, kdelibs-4.2.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.